### Method

# Gio Task get_completed

since: 2.44

#### Declaration [src]

    gboolean
    g_task_get_completed (
      GTask* task
    )

#### Description [src]

Gets the value of `GTask:completed`. This changes from `FALSE` to `TRUE` after the task’s callback is invoked, and will return `FALSE` if called from inside the callback.

Available since: 2.44

Gets property | `Gio.Task:completed`

#### Return value

Type: `gboolean`

`TRUE` if the task has completed, `FALSE` otherwise.